Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.table
Enum OdfEmbeddedNumberBehaviorType

    java.lang.Object
      java.lang.Enum<OdfEmbeddedNumberBehaviorType>
          org.odftoolkit.odfdom.dom.type.table.OdfEmbeddedNumberBehaviorType

All Implemented Interfaces:
  Serializable, Comparable<OdfEmbeddedNumberBehaviorType>

    public enum OdfEmbeddedNumberBehaviorType

extends Enum<OdfEmbeddedNumberBehaviorType>

DOM implementation of OpenDocument attribute table:embedded-number-behavior.

Enum Constant Summary
`ALPHA_NUMERIC`
`DOUBLE`
`INTEGER`

Method Summary
`static OdfEmbeddedNumberBehaviorType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfEmbeddedNumberBehaviorType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfEmbeddedNumberBehaviorType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfEmbeddedNumberBehaviorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DOUBLE

    public static final OdfEmbeddedNumberBehaviorType DOUBLE

### INTEGER

    public static final OdfEmbeddedNumberBehaviorType INTEGER

### ALPHA_NUMERIC

    public static final OdfEmbeddedNumberBehaviorType ALPHA_NUMERIC

Method Detail

### values

    public static OdfEmbeddedNumberBehaviorType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfEmbeddedNumberBehaviorType c : OdfEmbeddedNumberBehaviorType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfEmbeddedNumberBehaviorType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfEmbeddedNumberBehaviorType>`
  Returns:
    return the name of OdfEmbeddedNumberBehaviorType

### toString

    public static String toString(OdfEmbeddedNumberBehaviorType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfEmbeddedNumberBehaviorType, see table:embedded-number-behavior
  Returns:
    return the name of OdfEmbeddedNumberBehaviorType

### enumValueOf

    public static OdfEmbeddedNumberBehaviorType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfEmbeddedNumberBehaviorType
  Returns:
    return the constant of OdfEmbeddedNumberBehaviorType, see table:embedded-number-behavior

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.